-- Discord application asset file names (name, key[, description]) by file extension
return {
    [".aliases"] = { ".aliases", "shell" },
    [".appveyor.yml"] = { "AppVeyor config", "appveyor" },
    [".babelrc"] = { "Babel config", "babel" },
    [".babelrc.cjs"] = { "Babel config", "babel" },
    [".babelrc.js"] = { "Babel config", "babel" },
    [".babelrc.json"] = { "Babel config", "babel" },
    [".babelrc.mjs"] = { "Babel config", "babel" },
    [".bash_profile"] = { ".bash_profile", "shell" },
    [".bash_prompt"] = { ".bash_prompt", "shell" },
    [".bashrc"] = { ".bashrc", "shell" },
    [".dockercfg"] = { "Docker", "docker" },
    [".dockerfile"] = { "Docker", "docker" },
    [".dockerignore"] = { "Docker", "docker" },
    [".editorconfig"] = { "EditorConfig", "editorconfig" },
    [".eslintignore"] = { "ESLint", "eslint" },
    [".eslintrc"] = { "ESLint", "eslint" },
    [".eslintrc.cjs"] = { "ESLint", "eslint" },
    [".eslintrc.js"] = { "ESLint", "eslint" },
    [".eslintrc.json"] = { "ESLint", "eslint" },
    [".eslintrc.yaml"] = { "ESLint", "eslint" },
    [".eslintrc.yml"] = { "ESLint", "eslint" },
    [".gitattributes"] = { "git", "git" },
    [".gitconfig"] = { "git", "git" },
    [".gitignore"] = { "git", "git" },
    [".gitlab-ci.yaml"] = { "GitLab CI", "gitlab" },
    [".gitlab-ci.yml"] = { "GitLab CI", "gitlab" },
    [".gitmodules"] = { "git", "git" },
    [".luacheckrc"] = { ".luacheckrc", "lua" },
    [".npmignore"] = { "npm config", "npm" },
    [".npmrc"] = { "npm config", "npm" },
    [".nvmrc"] = { ".nvmrc", "nodejs" },
    [".prettierrc"] = { "Prettier", "prettier" },
    [".prettierrc.cjs"] = { "Prettier", "prettier" },
    [".prettierrc.js"] = { "Prettier", "prettier" },
    [".prettierrc.json"] = { "Prettier", "prettier" },
    [".prettierrc.json5"] = { "Prettier", "prettier" },
    [".prettierrc.toml"] = { "Prettier", "prettier" },
    [".prettierrc.yaml"] = { "Prettier", "prettier" },
    [".prettierrc.yml"] = { "Prettier", "prettier" },
    [".profile"] = { ".profile", "shell" },
    [".tmux.conf"] = { "tmux", "tmux" },
    [".travis.yml"] = { "Travis CI", "travis" },
    [".vimrc"] = { ".vimrc", "vim" },
    [".watchmanconfig"] = { "Watchman config", "watchman" },
    [".yarnrc"] = { "Yarn config", "yarn" },
    [".zshrc"] = { ".zshrc", "shell" },
    ["Brewfile"] = { "Brewfile", "homebrew" },
    ["Brewfile.lock.json"] = { "Brewfile.lock.json", "homebrew" },
    ["CHANGELOG"] = { "CHANGELOG", "text" },
    ["CODE_OF_CONDUCT"] = { "Code of Conduct", "text" },
    ["COMMIT_EDITMSG"] = { "git", "git" },
    ["CONTRIBUTING"] = { "CONTRIBUTING", "text" },
    ["Cargo.lock"] = { "Cargo lockfile", "rust" },
    ["Cargo.toml"] = { "Cargo.toml", "rust" },
    ["Dockerfile"] = { "Docker", "docker" },
    ["Gemfile"] = { "Gemfile", "ruby" },
    ["Gemfile.lock"] = { "Gemfile lockfile", "ruby" },
    ["LICENSE"] = { "LICENSE", "text" },
    ["Makefile"] = { "Makefile", "code" },
    ["Rakefile"] = { "Rakefile", "ruby" },
    ["abookrc"] = { "abook", "abook" },
    ["alacritty.yaml"] = { "Alacritty config", "alacritty" },
    ["alacritty.yml"] = { "Alacritty config", "alacritty" },
    ["appveyor.yml"] = { "AppVeyor config", "appveyor" },
    ["babel.config.cjs"] = { "Babel config", "babel" },
    ["babel.config.js"] = { "Babel config", "babel" },
    ["babel.config.json"] = { "Babel config", "babel" },
    ["babel.config.mjs"] = { "Babel config", "babel" },
    ["brew.sh"] = { "brew.sh", "homebrew" },
    ["docker-compose.yaml"] = { "Docker", "docker" },
    ["docker-compose.yml"] = { "Docker", "docker" },
    ["gitconfig"] = { "git", "git" },
    ["gitlab.rb"] = { "GitLab config", "gitlab" },
    ["gitlab.yml"] = { "GitLab config", "gitlab" },
    ["go.mod"] = { "go.mod", "go" },
    ["go.sum"] = { "go.sum", "go" },
    ["jest.config.js"] = { "Jest config", "jest" },
    ["jest.setup.js"] = { "Jest config", "jest" },
    ["jest.setup.ts"] = { "Jest config", "jest" },
    ["kitty.conf"] = { "Kitty config", "kitty" },
    ["next-env.d.ts"] = { "Next.js config", "nextjs" },
    ["next.config.js"] = { "Next.js config", "nextjs" },
    ["nginx"] = { "NGINX", "nginx" },
    ["nginx.conf"] = { "NGINX", "nginx" },
    ["nuxt.config.js"] = { "Nuxt config", "nuxtjs" },
    ["prettier.config.cjs"] = { "Prettier", "prettier" },
    ["prettier.config.js"] = { "Prettier", "prettier" },
    ["renovate.json"] = { "Renovate config", "renovate" },
    ["requirements.txt"] = { "requirements.txt", "python" },
    ["tailwind.config.js"] = { "Tailwind", "tailwind" },
    ["watchman.json"] = { "Watchman config", "watchman" },
    ["webpack.config.js"] = { "Webpack", "webpack" },
    ["webpack.config.ts"] = { "Webpack", "webpack" },
    ["yarn.lock"] = { "Yarn lockfile", "yarn" },
    ["zshrc"] = { "zshrc", "shell" },
    addressbook = { "abook", "abook" },
    ahk = { "Autohotkey", "autohotkey" },
    applescript = { "Applescript", "applescript" },
    bash = { "Shell", "shell" },
    c = { "C ", "c" },
    cabal = { "Cabal file", "haskell" },
    cc = { "C++", "c_plus_plus" },
    cf = { "Configuration file", "config" },
    cfg = { "Configuration file", "config" },
    cl = { "Common Lisp", "lisp" },
    clj = { "Clojure", "clojure" },
    cljs = { "ClojureScript", "clojurescript" },
    cnf = { "Configuration file", "config" },
    coffee = { "CoffeeScript", "coffeescript" },
    conf = { "Configuration file", "config" },
    config = { "Configuration file", "config" },
    cpp = { "C++", "c_plus_plus" },
    cr = { "Crystal", "crystal" },
    cs = { "C#", "c_sharp" },
    css = { "CSS", "css" },
    cxx = { "C++", "c_plus_plus" },
    dart = { "Dart", "dart" },
    elm = { "Elm", "elm" },
    erl = { "Erlang", "erlang" },
    ex = { "Elixir", "elixir" },
    fasl = { "Common Lisp", "lisp" },
    fnl = { "Fennel", "fennel" },
    fs = { "F#", "f_sharp" },
    gemspec = { "Gem Spec", "ruby" },
    go = { "Go", "go" },
    gql = { "GraphQL", "graphql" },
    graphql = { "GraphQL", "graphql" },
    h = { "C header file", "c" },
    hack = { "Hack", "hack" },
    hpp = { "C++ header file", "c_plus_plus" },
    hs = { "Haskell", "haskell" },
    html = { "HTML", "html" },
    hx = { "Haxe", "haxe" },
    hxx = { "C++ header file", "c_plus_plus" },
    idr = { "Idris", "idris" },
    ini = { "Configuration file", "config" },
    ino = { "Arduino", "arduino" },
    ipynb = { "Jupyter Notebook", "jupyter" },
    java = { "Java", "java" },
    jl = { "Julia", "julia" },
    js = { "JavaScript", "javascript" },
    json = { "JSON", "json" },
    jsx = { "React", "react" },
    kt = { "Kotlin", "kotlin" },
    l = { "Common Lisp", "lisp" },
    less = { "Less", "less" },
    lidr = { "Idris", "idris" },
    lisp = { "Common Lisp", "lisp" },
    log = { "Log file", "code" },
    lsp  = { "Common Lisp", "lisp" },
    lua = { "Lua", "lua" },
    markdown = { "Markdown", "markdown" },
    md = { "Markdown", "markdown" },
    mdx = { "MDX", "mdx" },
    mjs = { "JavaScript", "javascript" },
    ml = { "OCaml", "ocaml" },
    nim = { "Nim", "nim" },
    nix = { "Nix", "nix" },
    pcss = { "PostCSS", "postcss" },
    pgsql = { "PostgreSQL", "pgsql" },
    php = { "PHP", "php" },
    pl = { "Perl", "perl" },
    plist = { "Property List", "markup" },
    postcss = { "PostCSS", "postcss" },
    ps1 = { "PowerShell", "powershell" },
    purs = { "PureScript", "purescript" },
    py = { "Python", "python" },
    r = { "R", "r" },
    rb = { "Ruby", "ruby" },
    re = { "Reason", "reason" },
    res = { "ReScript", "rescript" },
    rs = { "Rust", "rust" },
    sass = { "Sass", "sass" },
    scala = { "Scala", "scala" },
    scm = { "Scheme", "scheme" },
    scss = { "Sass", "scss" },
    sh = { "Shell", "shell" },
    snap = { "Jest Snapshot", "jest" },
    ss = { "Scheme", "scheme" },
    svelte = { "Svelte", "svelte" },
    svg = { "SVG", "markup" },
    swift = { "Swift", "swift" },
    tex = { "LaTeX", "latex" },
    text = { "Text file", "text" },
    tl = { "Teal", "teal" },
    toml = { "TOML", "toml" },
    ts = { "TypeScript", "typescript" },
    tsx = { "React", "react" },
    txt = { "Text file", "text" },
    vim = { "Vim", "vim" },
    viml = { "Vim", "vim" },
    vue = { "Vue", "vue" },
    xml = { "XML", "markup" },
    yaml = { "YAML", "yaml" },
    yml = { "YAML", "yaml" },
    zig = { "Zig", "zig" },
    zsh = { "Shell", "shell" },
}
